Subject: Re: 29.0.50; Python completion fails under certain conditions

From: kobarity <[email-masked]>
Date: Mon, 10 Oct 2022 22:29:16 +0900

I wrote:
> 
> I wrote:
> > I think `comint-snapshot-last-prompt' should not be called as long as 
> > `comint-output-filter' is not called and the Inferior Python Shell
> > buffer is not changed.  Attached is a patch to fix this issue.
> 
> Sorry, I was not aware of other processes using comint.  It might
> affect other processes.  I will reconsider the patch.

Attached is the revised patch to fix this issue.  Instead of
invalidating `comint-snapshot-last-prompt', I added codes to save and
restore the buffer local variable `comint-last-prompt-overlay' or
`comint-last-prompt'.

Best Regards,